#include <iostream>

using namespace std;

int duzina(long long x)
{
    int br=0;
    long long a=x;
    if(a==0) return 1;
    while(a>0)
        {
            a/=10;
            br++;
        }
    return br;
}


int mini(int a, int b, int c)
{
    if(a<=b && a<=c) return a;
    if(b<=a && b<=c) return b;
    if(c<=a && c<=b) return c;
}


int maxi(int a, int b, int c)
{
    if(a>=b && a>=c) return a;
    if(b>=a && b>=c) return b;
    if(c>=a && c>=b) return c;
}


int maxi2(int a, int b, int c)
{
    if(a>b && a>c) return a;
    if(b>a && b>c) return b;
    if(c>a && c>b) return c;
    return -1;
}


int cifa[20],cifb[20],cifc[20];

int main()
{

    long long a,b,c;
    cin>>a>>b>>c;
    int duza=duzina(a);
    int duzb=duzina(b);
    int duzc=duzina(c);

    int x=a;
    for(int i=duza;i>0;i--)
    {
        cifa[i]=x%10;
        x/=10;
    }

    x=b;
    for(int i=duzb;i>0;i--)
    {
        cifb[i]=x%10;
        x/=10;
    }

    x=c;
    for(int i=duzc;i>0;i--)
    {
        cifc[i]=x%10;
        x/=10;
    }


    if(a==b && b==c)
    {
        cout<<a<<b<<c;
        return 0;
    }

    int slucaj=0;
    x=maxi(duza,duzb,duzc);
    int i;
    for(i=1;i<=x;i++)
    {
        if(maxi2(cifa[i],cifb[i],cifc[i])==cifa[i])
        {
            cout<<a;
            slucaj=1;
            break;
        }

        if(maxi2(cifa[i],cifb[i],cifc[i])==cifb[i])
        {
            cout<<b;
            slucaj=2;
            break;
        }

        if(maxi2(cifa[i],cifb[i],cifc[i])==cifc[i])
        {
            cout<<c;
            slucaj=3;
            break;
        }

        slucaj=40;
    }



    if(slucaj==1)
    {
        if(b==c)
        {
            cout<<b<<c;
            return 0;
        }

        for(int w=1;w<=x;w++)
        {
            if(cifb[w]>cifc[w])
            {
                cout<<b<<c;
                return 0;
            }

            if(cifb[w]<cifc[w])
            {
                cout<<c<<b;
                return 0;
            }
        }

        slucaj=41;

    }


    if(slucaj==2)
    {
        if(a==c)
        {
            cout<<a<<c;
            return 0;
        }

        for(int w=1;w<=x;w++)
        {
            if(cifa[w]>cifc[w])
            {
                cout<<a<<c;
                return 0;
            }

            if(cifa[w]<cifc[w])
            {
                cout<<c<<a;
                return 0;
            }
        }

        slucaj=42;

    }


    if(slucaj==3)
    {
        if(a==b)
        {
            cout<<a<<b;
            return 0;
        }

        for(int w=1;w<=x;w++)
        {
            if(cifa[w]>cifb[w])
            {
                cout<<a<<b;
                return 0;
            }

            if(cifa[w]<cifb[w])
            {
                cout<<b<<a;
                return 0;
            }
        }

        slucaj=43;

    }



    if(slucaj==40)
    {
        if(a<=b && a<=c)
        {
            cout<<a;
            if(b<=c)
            {
                cout<<b<<c;
                return 0;
            }
            cout<<c<<b;
            return 0;
        }


        if(b<=a && b<=c)
        {
            cout<<b;
            if(a<=c)
            {
                cout<<a<<c;
                return 0;
            }
            cout<<c<<a;
            return 0;
        }



        if(c<=a && c<=b)
        {
            cout<<c;
            if(a<=b)
            {
                cout<<a<<b;
                return 0;
            }
            cout<<b<<a;
            return 0;
        }

    }





    if(slucaj==41)
    {
        if(b<=c)
        {
            cout<<b<<c;
            return 0;
        }
        cout<<c<<b;
        return 0;
    }


    if(slucaj==42)
    {
        if(a<=c)
        {
            cout<<a<<c;
            return 0;
        }
        cout<<c<<a;
        return 0;
    }


    if(slucaj==43)
    {
        if(a<=b)
        {
            cout<<a<<b;
            return 0;
        }
        cout<<b<<a;
        return 0;
    }





    return 0;
}